Subject: lectures on stomata at Mass General Hospital
From: [email-masked]
Date: 11 May 1994 15:58:15 -0700
Newsgroups: bionet.plants

Hello everyone,

I know many of you will not be able to attend, but Trewavis will be giving a
lecture on CA2+ and stomata on May 18 at 12:30 in the Wellman Building 11th
floor conference room at Mass General Hospital in Boston. For those of you
who will fly over form Europe for this, you can all stay at my house!

Ellen